import { ElementType } from "react";
import type { ListProps } from "../../../types";
/**
 * @public
 * React component.
 * {@link ListProps}.
 * Small abstraction, which in 90% cases allows to avoid hook boilerplate.
 */
declare const List: <T extends ElementType = "div">(props: ListProps<T>) => JSX.Element;
export default List;
