import type { ReactNode } from "react";
import type { SubscriptionProps } from "../../../types";
/**
 * @public
 * React component.
 * {@link SubscriptionProps}.
 * Rerenders only on certain {@link @af-utils/virtual-core#(VirtualScrollerEvent:variable)}.
 * Allows to optimize performance.
 */
declare const Subscription: (props: SubscriptionProps) => ReactNode;
export default Subscription;
