import { VirtualScrollerEvent, VirtualScroller } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Rerenders component when one of {@link @af-utils/virtual-core#(VirtualScrollerEvent:variable)} gets emitted.
 * Usually {@link Subscription} is a better alternative
 */
declare const useComponentSubscription: (model: VirtualScroller, events?: readonly VirtualScrollerEvent[] | VirtualScrollerEvent[]) => void;
export default useComponentSubscription;
