import { VirtualScroller } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Optimal CSS markup for virtual scroll is not intuitive.
 * Use this hook to avoid unneeded boilerplate.
 * @returns Array of 2 callback refs: [ outer, inner ].
 */
declare const useSyncedStyles: (model: VirtualScroller) => [(el: HTMLElement | null) => void, (el: HTMLElement | null) => void];
export default useSyncedStyles;
